<mat-toolbar class="page-title">
  <span class="title">
    Валютные счета
  </span>

  <div class="spacer"></div>

  <a routerLink="/account/create"
     mat-icon-button
     class="backward-button">
    <mat-icon>add_card</mat-icon>
  </a>
</mat-toolbar>

<mat-nav-list class="account-container">
  <a mat-list-item
     *ngFor="let account of accounts"
     routerLink="/account/info"
     [queryParams]="{
      accountId: account.id
     }"
  >
    <mat-icon mat-list-icon
              class="currency-icon"
    >
      {{currencyIconsMap[account.currency]}}
    </mat-icon>

    <div mat-line
         class="account-first-line">
      <span class="account-currency">
        {{currencyTitlesNameMap[account.currency]}}
      </span>

      <span class="account-balance sub-title">
        {{account.balance | appCurrency: account.currency}}
      </span>
    </div>

    <div mat-line
         class="account-number"
    >
      {{account.number}}
    </div>
  </a>
</mat-nav-list>
